<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transiformación punto de origen</title>
    <style>
       body {
           display: flex;
           align-items: center;
           justify-content: center;
           height: 100vh;
           color: white;
           font-family: Arial;
       } 
       .container {
           border: 1px solid red;
       }
       .container:hover .cuadrado { 
           /* transform-origin: top;
           transform-origin: bottom; */
           /* transform-origin: left;
           transform-origin: right; */
           /* transform: rotateX(45deg); */
           /* transform-origin: left top; */
           transform-origin: 0% 50%;
           transform: rotateZ(45deg);
       }
       .cuadrado {
           width: 200px;
           height: 200px;
           background-color: #7dc900;
           margin: 20px;
       }
    </style>
</head>
<body>
     <div class="container">
         <div class="cuadrado">
            Hola mundo!
         </div>
     </div>   
</body>
</html>